//
//  ViewController.m
//  slider
//
//  Created by apple on 2018/6/11.
//  Copyright © 2018年 铁科院. All rights reserved.
//

#import "ViewController.h"
#import "TKYSlider.h"
//整个屏幕的宽
#define kScreenWidth [UIScreen mainScreen].bounds.size.width
//整个屏幕的高
#define kScreenHeight [UIScreen mainScreen].bounds.size.height
//适配机型比例
#define kWidthScale (kScreenWidth / 375.0)
#define kHeightScale (kScreenHeight / 667.0)
//RGB颜色
#define kRGBColor(r, g, b, a) [UIColor colorWithRed:r/255.0f green:g/255.0f blue:b/255.0f alpha:a]
//APP主题色
#define kMainColour kUIColorFromRGB(0xe6e6e6, 1)
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // 滑动条slidero
    TKYSlider *slider = [[TKYSlider alloc] initWithFrame:CGRectMake(kWidthScale *100,kHeightScale *200, kScreenWidth - kWidthScale *175, kHeightScale *20)];
    slider.minimumValue = 0;// 设置最小值
    slider.maximumValue = 100;// 设置最大值
    slider.value = 3;// 设置初始值
    // UIImage *image= [self OriginImage:[UIImage imageNamed:@"slide_btn"] scaleToSize:CGSizeMake(35, 35)];
    [slider setThumbImage:[UIImage imageNamed:@"slide_btn"] forState:UIControlStateNormal];
    [slider setThumbImage:[UIImage imageNamed:@"slide_btn"] forState:UIControlStateHighlighted];
    
    slider.continuous = YES;// 放开手值才确定下来
    slider.minimumTrackTintColor = kRGBColor(34, 130, 255, 1); //滑轮左边颜色，如果设置了左边的图片就不会显示
    slider.maximumTrackTintColor = kRGBColor(238, 238, 238, 1); //滑轮右边颜色，如果设置了右边的图片就不会显示
    [slider addTarget:self action:@selector(sliderValueChanged:) forControlEvents:UIControlEventValueChanged];// 针对值变化添加响应方法
    [self.view addSubview:slider];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)sliderValueChanged:(UISlider *)slider{
    NSLog(@"%.lf",slider.value);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
